Omniplex Docs

Themes

These API endpoints are related to user-submitted Discord profile themes

Get All Themes

GET
/themes/@all

Gets every theme, paginated, newest first

Query Parameters

page?string

The page number

owner?string

Filter to themes submitted by this user ID. Omit to return every submitter's.

Response Body

Success

application/json
  1. response
count?integer
Range0 <= value <= 18446744073709552000
per_page?integer
Range0 <= value <= 18446744073709552000
results?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/themes/@all'
Example Response
{  "count": 0,  "per_page": 0,  "results": [    {      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "name": "string",      "owner": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "primary_color": "string",      "secondary_color": "string",      "tags": [        "string"      ]    }  ]}

Get Theme

GET
/themes/{id}

Gets a single theme by its own ID, with its owner resolved

Path Parameters

id*string

The theme's ID

Response Body

Success

application/json
  1. response
created_at?string
Formatdate-time
id?string
name?string
owner?

The user who submitted the theme

primary_color?string
secondary_color?string
tags?array<string>
Example Request
curl -X GET 'https://spider.omniplex.gg/themes/string'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "id": "string",  "name": "string",  "owner": {    "avatar": "string",    "bot": true,    "display_name": "string",    "extra_data": {      "property1": null,      "property2": null    },    "flags": [      "string"    ],    "id": "string",    "status": "string",    "username": "string"  },  "primary_color": "string",  "secondary_color": "string",  "tags": [    "string"  ]}

Create Theme

PUT
/users/{id}/themes

Submits a Discord profile theme -- a name plus two hex colors and up to 3 categories

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

id*string

The user's ID

Request Body

application/json
  1. body
name?string
primary_color?string
secondary_color?string
tags?array<>
Value in"Green""Blue""Purple""Pink""Red""Orange""Dark""Light""Gradient""Aesthetic""Minimal""Vibrant"

Response Body

Success

application/json
  1. response
id?string

The created theme's ID

Example Request
curl -X PUT 'https://spider.omniplex.gg/users/string/themes' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string"}

Delete Theme

DELETE
/users/{uid}/themes/{id}

Deletes a theme. You must be the owner to delete it. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

The user's ID

id*string

The theme's ID

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X DELETE 'https://spider.omniplex.gg/users/string/themes/string'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}